MatchAlwaysTransactionAttributeSource (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.interceptor

## Class MatchAlwaysTransactionAttributeSource

- java.lang.Object
- - org.springframework.transaction.interceptor.MatchAlwaysTransactionAttributeSource

- All Implemented Interfaces:
    Serializable, TransactionAttributeSource

      public class MatchAlwaysTransactionAttributeSource
      extends Object
      implements TransactionAttributeSource, Serializable

  Very simple implementation of TransactionAttributeSource which will always return the same TransactionAttribute for all methods fed to it. The TransactionAttribute may be specified, but will otherwise default to PROPAGATION_REQUIRED. This may be used in the cases where you want to use the same transaction attribute with all methods being handled by a transaction interceptor.
  Since:
    15.10.2003
  Author:
    Colin Sampaleanu
  See Also:
    `TransactionProxyFactoryBean`, `BeanNameAutoProxyCreator`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchAlwaysTransactionAttributeSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `TransactionAttribute` | `getTransactionAttribute(Method method, Class<?> targetClass)` Return the transaction attribute for the given method, or `null` if the method is non-transactional.
    `int` | `hashCode()`
    `void` | `setTransactionAttribute(TransactionAttribute transactionAttribute)` Allows a transaction attribute to be specified, using the String form, for example, "PROPAGATION_REQUIRED".
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchAlwaysTransactionAttributeSource

          public MatchAlwaysTransactionAttributeSource()

  - ### Method Detail

    - #### setTransactionAttribute

          public void setTransactionAttribute(TransactionAttribute transactionAttribute)

      Allows a transaction attribute to be specified, using the String form, for example, "PROPAGATION_REQUIRED".
      Parameters:
        `transactionAttribute` - The String form of the transactionAttribute to use.
      See Also:
        `TransactionAttributeEditor`

    - #### getTransactionAttribute

          public TransactionAttribute getTransactionAttribute(Method method,
                                                     Class<?> targetClass)

      Description copied from interface: `TransactionAttributeSource`
      Return the transaction attribute for the given method, or `null` if the method is non-transactional.
      Specified by:
        `getTransactionAttribute` in interface `TransactionAttributeSource`
      Parameters:
        `method` - the method to introspect
        `targetClass` - the target class. May be `null`, in which case the declaring class of the method must be used.
      Returns:
        TransactionAttribute the matching transaction attribute, or `null` if none found

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`